Skip to main content
GET
/
v1
/
containers
/
{container_id}
/
files
Error
A valid request URL is required to generate request examples
{
  "object": "<string>",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "container_id": "<string>",
      "path": "<string>",
      "bytes": 123,
      "created_at": 123,
      "source": "<string>"
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true,
  "extra_fields": {
    "request_type": "<string>",
    "model_requested": "<string>",
    "model_deployment": "<string>",
    "latency": 123,
    "chunk_index": 123,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "<string>",
      "hit_type": "<string>",
      "requested_provider": "<string>",
      "requested_model": "<string>",
      "provider_used": "<string>",
      "model_used": "<string>",
      "input_tokens": 123,
      "threshold": 123,
      "similarity": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

container_id
string
required

The ID of the container

Query Parameters

provider
enum<string>
required

The provider of the container AI model provider identifier

Available options:
openai,
azure,
anthropic,
bedrock,
cohere,
vertex,
vllm,
mistral,
ollama,
groq,
sgl,
parasail,
perplexity,
replicate,
cerebras,
gemini,
openrouter,
elevenlabs,
huggingface,
nebius,
xai,
runway,
fireworks
limit
integer

Maximum number of files to return

Required range: 1 <= x <= 100
after
string

Cursor for pagination

order
enum<string>

Sort order (asc/desc)

Available options:
asc,
desc

Response

Successful response

Response containing a list of files in a container

object
string

The object type (always "list")

data
object[]

List of file objects

first_id
string

ID of the first file in the list

last_id
string

ID of the last file in the list

has_more
boolean

Whether there are more files to fetch

extra_fields
object

Additional fields included in responses